﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.OleDb;

namespace consolerevisaosimulado_2
{
    class Program
    {
        public static class Access
        {
            public static OleDbConnection AbrirConexao()
            {
                return new OleDbConnection(@"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=C:\sergio\banco.mdb");
            }
        }



        public class Musicas
        {
            private string cantor_banda { get; set; }
            private string nome_da_musica { get; set; }

            public void Preencherdados()
            {
                Console.Write("Informe o nome do cantor ou banda: ");
                this.cantor_banda = Console.ReadLine();
                Console.Write("Informe o nome da musica: ");
                this.nome_da_musica = Console.ReadLine();
            }

            public void Preencherdados(string cantor_banda, string musica)
            {
                this.cantor_banda = cantor_banda;
                this.nome_da_musica = musica;
            }

            public void Mostrardados()
            {
                Console.WriteLine("{0} - {1}", this.cantor_banda, this.nome_da_musica);
            }

            public void InsereMusica()
            {
                Preencherdados();
                OleDbConnection conexao = Access.AbrirConexao();
                OleDbCommand comando = new OleDbCommand();
                comando.Connection = conexao;
                comando.CommandText = "Insert into musicas values (\"" + this.cantor_banda + "\",\"" + this.nome_da_musica + "\")";
                try
                {
                    conexao.Open();
                    comando.ExecuteNonQuery();
                    conexao.Close();
                    Console.WriteLine("A música {0} foi inserida.", this.nome_da_musica);
                }
                catch (OleDbException erro)
                {
                    Console.WriteLine("Erro: {0}", erro.Errors[0].Message);
                }
            }

            public void BuscaMusica()
            {
                string qualmusica;
                Console.Write("Qual música deseja buscar? ");
                qualmusica = Console.ReadLine();

                OleDbConnection cnn = Access.AbrirConexao();
                OleDbCommand cmd = new OleDbCommand();
                cmd.Connection = cnn;
                cmd.CommandText = "Select * from musicas where nome_da_musica = \"" + qualmusica + "\"";
                OleDbDataReader resultado ;
                try
                {
                    cnn.Open();
                    resultado = cmd.ExecuteReader();
                    if (resultado.HasRows)
                    {
                        resultado.Read();
                        Preencherdados(resultado["cantor_banda"].ToString(), resultado[1].ToString());
                        Console.WriteLine("Musica encontrada: ");
                        Mostrardados();

                    }
                    else
                    {
                        Console.WriteLine("A musica {0} não foi encontrada. ", qualmusica);
                    }
                    cnn.Close();
                }
                catch (OleDbException erro)
                {
                    Console.WriteLine("Erro: {0}", erro.Errors[0].Message); 
                }

            }
        }

        static void Main(string[] args)
        {
            Musicas teste = new Musicas();
            teste.BuscaMusica();
            Console.WriteLine("Fim");
            Console.ReadKey();
        }
    }
}
